@if (componentData) {
  <div class="two-columns-grid">
    <div class="label-with-tooltip-icon">
      <sqtm-core-label
        [text]="'sqtm-core.generic.label.login.plural' | translate"
      >
      </sqtm-core-label>
      <i
        nz-icon
        nzType="sqtm-core-generic:help"
        nzTheme="fill"
        class="m-l-10 font-20-px current-workspace-main-color"
        nz-tooltip
        [nzTooltipTitle]="
          'sqtm-core.administration-workspace.system.settings.case-sensitivity.logins.tooltip'
            | translate
        "
      ></i>
    </div>
    @if (!checkIdDuplicateLogins()) {
      <nz-switch
        [(ngModel)]="componentData.caseInsensitiveLogin"
        [nzControl]="true"
        [nzCheckedChildren]="checkedTemplate"
        [nzUnCheckedChildren]="unCheckedTemplate"
        [attr.data-test-field-id]="'caseInsensitiveLogin'"
        (click)="changeCaseInsensitiveLoginEnabled()"
      >
      </nz-switch>
    }
    <ng-template #checkedTemplate><i nz-icon nzType="check"></i></ng-template>
    <ng-template #unCheckedTemplate><i nz-icon nzType="close"></i></ng-template>
    @if (checkIdDuplicateLogins()) {
      <span>
        {{
          'sqtm-core.administration-workspace.system.settings.duplicate-logins.alert-message'
            | translate
        }}
      </span>
    }
    @if (checkIdDuplicateLogins()) {
      <div class="padded-block">
        <sqtm-core-label
          [text]="
            'sqtm-core.administration-workspace.system.settings.duplicate-logins.label'
              | translate
          "
        >
        </sqtm-core-label>
        <div>
          @for (login of componentData.duplicateLogins; track login) {
            <label class="login">
              {{ login }}
            </label>
          }
        </div>
      </div>
    }
  </div>
  <div class="two-columns-grid p-t-5">
    <div class="label-with-tooltip-icon">
      <sqtm-core-label
        [text]="'sqtm-core.entity.test-step.action.plural' | translate"
      ></sqtm-core-label>
      <i
        nz-icon
        nzType="sqtm-core-generic:help"
        nzTheme="fill"
        class="m-l-10 font-20-px current-workspace-main-color"
        nz-tooltip
        [nzTooltipTitle]="
          'sqtm-core.administration-workspace.system.settings.case-sensitivity.actions.tooltip'
            | translate
        "
      >
      </i>
    </div>
    @if (!checkHasDuplicateActions()) {
      <nz-switch
        [(ngModel)]="componentData.caseInsensitiveActions"
        [nzControl]="true"
        [nzCheckedChildren]="checkedTemplate"
        [nzUnCheckedChildren]="unCheckedTemplate"
        [attr.data-test-field-id]="'caseInsensitiveActions'"
        (click)="changeCaseInsensitiveActionsEnabled()"
      >
      </nz-switch>
    }
    @if (checkHasDuplicateActions()) {
      <span>
        {{
          'sqtm-core.administration-workspace.system.settings.duplicate-actions.alert-message'
            | translate
        }}
      </span>
    }
    @if (checkHasDuplicateActions()) {
      <div class="padded-block">
        <sqtm-core-label
          [text]="
            'sqtm-core.administration-workspace.system.settings.duplicate-actions.label'
              | translate
          "
        >
        </sqtm-core-label>
        <div>
          @for (action of componentData.duplicateActions; track action) {
            <label class="login">
              {{ action }}
            </label>
          }
        </div>
      </div>
    }
  </div>
}
